Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1414448 (CVE-2017-5509) - CVE-2017-5509 ImageMagick: Out-of-bounds write flaw in psd file handling
Summary: CVE-2017-5509 ImageMagick: Out-of-bounds write flaw in psd file handling
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-5509
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1410515
Blocks: 1410453
TreeView+ depends on / blocked
 
Reported: 2017-01-18 14:23 UTC by Andrej Nemec
Modified: 2019-09-29 14:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-22 04:31:10 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-18 14:23:00 UTC
An out-of-bounds write vulnerability was found in ImageMagick. A maliciously crafted file could cause the application to crash or possibly have other impact.

References:

http://seclists.org/oss-sec/2017/q1/110

Upstream patches:

https://github.com/ImageMagick/ImageMagick/commit/d4ec73f866a7c42a2e7f301fcd696e5cb7a7d3ab
https://github.com/ImageMagick/ImageMagick/commit/37a1710e2dab6ed91128ea648d654a22fbe2a6af

Upstream bug:

https://github.com/ImageMagick/ImageMagick/issues/350

Comment 1 Andrej Nemec 2017-01-18 15:04:04 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1410515]


Note You need to log in before you can comment on or make changes to this bug.